/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * PassportAndVisa
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class PassportAndVisa {
  @SerializedName("label")
  private String label = null;

  @SerializedName("desc")
  private String desc = null;

  public PassportAndVisa label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Passport and visa label. Ex: \&quot;Passport and visa Requirements\&quot;
   * @return label
  **/
  @ApiModelProperty(value = "Passport and visa label. Ex: \"Passport and visa Requirements\"")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public PassportAndVisa desc(String desc) {
    this.desc = desc;
    return this;
  }

   /**
   * Passport and visa description. Ex: \&quot;Documentation Required : Passport/ID...\&quot;
   * @return desc
  **/
  @ApiModelProperty(value = "Passport and visa description. Ex: \"Documentation Required : Passport/ID...\"")
  public String getDesc() {
    return desc;
  }

  public void setDesc(String desc) {
    this.desc = desc;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PassportAndVisa passportAndVisa = (PassportAndVisa) o;
    return Objects.equals(this.label, passportAndVisa.label) &&
        Objects.equals(this.desc, passportAndVisa.desc);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, desc);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PassportAndVisa {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    desc: ").append(toIndentedString(desc)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

